import urllib
from bs4 import BeautifulSoup
import sys


def pullText(stationID):
	url = "https://tidesandcurrents.noaa.gov/benchmarks/" + stationID + ".html"
	html = urllib.urlopen(url).read()
	soup = BeautifulSoup(html, "html.parser")

	# get text
	text = soup.get_text().encode("utf-8")

	# break into lines and remove leading and trailing space on each
	lines = (line.strip() for line in text.splitlines())
	text = '\n'.join(line for line in lines if line)
	return text


def createTXTFile(stationID):
	text = pullText(stationID)
	if text[0:9] == "Published":
		file = open(stationID + ".txt", "w")
		file.write(text)
		file.close()
		print ("written: " + stationID)
	elif text[0:3] == "404":
		print ("--no hit: " + stationID)
	else: 
		print ("----unknown issue: " + stationID)

def linesFromFile(filename):
    with open(filename, 'r') as inputFile:
        return [line.strip() for line in inputFile.readlines()]

stations = linesFromFile("station_list.txt")



for i in range(len(stations)):
	createTXTFile(stations[i])
	if i % 50 == 0:
		print i
